## fwupd 1.0.6

=== meson_options.txt ===
option('bootdir', type : 'string', value : '/boot/efi', description : 'Directory for EFI system partition')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('gtkdoc', type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_colorhug', type : 'boolean', value : true, description : 'enable ColorHug support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_uefi_labels', type : 'boolean', value : true, description : 'enable UEFI labels support')
option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')

=== debian/changelog ===
fwupd (1.0.6-2) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.0.6)
  * Move git repo from alioth to salsa.d.o
  * contrib/ci: Detect machine type when generating debian/control

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 12 Mar 2018 07:30:30 -0500

fwupd (1.0.5-1) unstable; urgency=medium

  * New upstream version.
  * Build depend on fwupdate 10-3 for efivar 34 transition.
  * Drop previous patch, now upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 14 Feb 2018 15:39:54 -0600

fwupd (1.0.4-3) unstable; urgency=medium

  * Revert previous patch (still didn't help with autopkgtest).
  * Introduce a different patch for helping autopkgtest failures.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 29 Jan 2018 14:36:56 -0600

fwupd (1.0.4-2) unstable; urgency=medium

  * Backport a patch that should fix autopkgtest failures.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Jan 2018 10:37:40 -0600

fwupd (1.0.4-1) unstable; urgency=medium

  * New upstream version.
  * New build dependency: libjson-glib-dev (>= 1.1.1)
  * Update symbols

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 25 Jan 2018 07:53:03 -0600

fwupd (1.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch for appstream glib 0.7.4 dependency

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 09 Jan 2018 10:49:51 -0600

fwupd (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Drop patch for doing libsmbios on only supported architectures, 
    now upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 28 Nov 2017 09:36:57 -0600

fwupd (1.0.1-2) unstable; urgency=medium

  * Only do libsmbios-dev build-depend on supported architectures
  * debci: remove unnecessary dbus start command

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 09 Nov 2017 18:30:18 -0600

fwupd (1.0.1-1) unstable; urgency=medium

  * New upstream version (1.0.1)
  * Generate debian/control dynamically based on XML build dependencies
    declared from upstream CI builder.
  * Drop all patches, upstream.
  * debian: re-generate debian/control in clean rule
  * Build depend on appstream-glib 0.7.4.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 09 Nov 2017 12:49:07 -0600

fwupd (1.0.0-5) unstable; urgency=medium

  * debian/debci: shuffle dependency location

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 31 Oct 2017 15:25:23 -0500

fwupd (1.0.0-4) unstable; urgency=medium

  * debian/debci: add explicit dependency on policykit-1 for the test

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 25 Oct 2017 10:47:14 -0500

fwupd (1.0.0-3) unstable; urgency=medium

  * minor correction to changelog
  * debci: use the needs-root restriction
  * debian: update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 24 Oct 2017 16:21:54 -0500

fwupd (1.0.0-2) unstable; urgency=medium

  * Backport a patch from upstream which fixes FTBFS
    on alpha and hppa (Closes: #879022)
  * Don't use dpkg-reconfigure in CI script.

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 18 Oct 2017 10:16:22 -0500

fwupd (1.0.0-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * new upstream version (1.0.0)
  * remove /etc/fwupd.conf on upgrade
  * fix missing-call-to-dpkg-maintscript-helper
  * update debci configuration
  * drop libebitdo transitional packages
  * try to fix debci
  * update standards version
  * explicitly set section for libfwupd2
  * run systemd in postinst (Closes: #877991)
  * Drop patches.

  [ Richard Hughes ]
  * Do not install the libdfu helper library

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Oct 2017 09:12:03 -0500

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Daniel Jared Dominguez <jared.dominguez@dell.com>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Build-Depends:
	debhelper (>= 10.3),
	dh-strip-nondeterminism,
	fontconfig,
	fonts-dejavu,
	gcab,
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	gtk-doc-tools,
	help2man,
	libappstream-glib-dev (>= 0.7.4),
	libarchive-dev,
	libcairo-dev,
	libcairo-gobject2,
	libcolord-dev (>= 1.0.0),
	libcolorhug-dev,
	libefivar-dev [amd64 arm64 armhf armel i386],
	libelf-dev,
	libfreetype6-dev,
	libfwup-dev (>= 10-3) [amd64 arm64 armhf i386],
	libgcab-dev,
	libgirepository1.0-dev,
	libglib2.0-dev (>= 2.45.8),
	libgpgme11-dev,
	libgudev-1.0-dev,
	libgusb-dev (>= 0.2.9),
	libjson-glib-dev (>= 1.1.1),
	libpolkit-gobject-1-dev,
	libsmbios-dev [i386 amd64],
	libsoup2.4-dev,
	libsqlite3-dev,
	libtool-bin,
	locales,
	meson,
	pkg-config,
	policykit-1 (>> 0.105-14),
	python3-gi-cairo,
	python3-pil,
	python3-requests,
	systemd (>= 231),
	udev,
	umockdev,
	valac,
	valgrind [!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
Standards-Version: 4.1.3
Section: admin
Homepage: https://github.com/hughsie/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupd2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: fwupdate,
            python3
Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
	libdfu1 (<< 0.9.7-1),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         dbus-x11,
         fwupd,
         gnome-desktop-testing,
         policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupd2 (= ${binary:Version}),
         gir1.2-fwupd-2.0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#GPGME needs this for proper building on 32 bit archs
ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

ifneq ($(CI),)
	export CI=--werror
endif

regenerate_control:
	OS=debian-x86_64 ./contrib/ci/generate_debian_control.py debian/control.in debian/control

%:
	[ -f debian/control ] || debian/rules regenerate_control
	dh $@ --with gir,systemd

override_dh_auto_clean: regenerate_control
	rm -fr debian/build

override_dh_auto_configure:
	if pkg-config --exists fwup; then \
		export UEFI="-Dplugin_uefi=true"; \
	else \
		export UEFI="-Dplugin_uefi=false"; \
	fi; \
	if pkg-config --exists libsmbios_c; then \
		export DELL="-Dplugin_dell=true -Dplugin_synaptics=true"; \
	else \
		export DELL="-Dplugin_dell=false -Dplugin_synaptics=false"; \
	fi; \
	dh_auto_configure -- $$UEFI $$DELL $$CI -Dplugin_dummy=true --libexecdir=/usr/lib

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	dh_missing --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

override_dh_auto_test:
	if [ -x /usr/bin/valgrind ] ; then \
		dh_auto_test; \
	fi

## fwupd 1.1.2

=== meson_options.txt ===
option('daemon', type : 'boolean', value : true, description : 'enable the fwupd daemon')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('gtkdoc', type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')

=== contrib/snap/fix-bash-completion/Makefile ===
build:
	true
install:
	#fixes up fwupdtool -> fwupd.fwupdtool
	sed -i "s,\(complete -F _fwupd[a-z]*\) \(fwupd.*\),\1 fwupd.\2,; 		\
		s,\(command.*\)\(fwupdtool\),\1fwupd.\2," 				\
			${SNAPCRAFT_STAGE}/usr/share/bash-completion/completions/*

=== debian/changelog ===
fwupd (1.1.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes ESP autodetection for autofs (Closes: #906216)
    - Adds missing signing bits (Closes: #906599)
  * debian/rules:
    - Pass -a into dh_missing (Closes: #906357)
  * debian/control:
    - Recommends for bolt for new thunderbolt power API
    - Build depends on Noto fonts instead of Dejavu fonts
  * Drop all patches.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Sep 2018 11:42:03 -0500

fwupd (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Adds support for more Synaptics and Intel hardware.
    - Fixes firmware update on some UEFI implementations (Closes: #905570)
  * debian/
    - contrib: debian: regenerate control on clean
    - refresh debian/{control,copyright} for upstream fixes
    - drop all patches, upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 13 Aug 2018 08:08:53 -0500

fwupd (1.1.0-7) unstable; urgency=medium

  * Correct another syntax error in SB signing template (Closes: #905482)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 05 Aug 2018 08:34:37 -0500

fwupd (1.1.0-6) unstable; urgency=medium

  * correct secure boot signing template name (Closes: #905471)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 05 Aug 2018 00:06:30 -0500

fwupd (1.1.0-5) unstable; urgency=medium

  * Fix secure boot signing template version string (Closes: #905468)
  * Refresh debian/copyright (Closes: #904671)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 04 Aug 2018 22:37:36 -0500

fwupd (1.1.0-4) unstable; urgency=medium

  * debian/rules: dynamically install EFI binaries

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 04 Aug 2018 19:43:44 -0500

fwupd (1.1.0-3) unstable; urgency=medium

  * debian/rules: use pkg-config to determine when to turn on redfish and UEFI
    - Fixes FTBFS due to redfish on other architectures.

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 04 Aug 2018 17:04:27 -0500

fwupd (1.1.0-2) unstable; urgency=medium

  * Fix the filename of the signed archive used for secure boot on Ubuntu
  * Only build uefi plugin on supported architectures

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 04 Aug 2018 11:27:24 -0500

fwupd (1.1.0-1) unstable; urgency=medium

  [ Steve Mcintyre ]
  * Initial support for UEFI Secure Boot in Debian infrastructure
    + When building, also generate a fwupdate-$ARCH-signed-template package
      which contains metadata needed by the Debian signing service. This
      will end up being turned into a new source package including a signed
      version of the fwupdate binary.

  [ Mario Limonciello ]
  * New upstream version (1.1.0)
  * Drop patches merged upstream.
  * debian/control:
    - Add a patch from upstream that will add gnu-efi to dependencies
    - No longer recommends for fwupdate as it has been merged into fwupd.
  * Adjust infrastructure for fwupdate signed package to be used by fwupd signed
    package

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 12 Jul 2018 08:28:32 -0500

fwupd (1.0.8-1) unstable; urgency=medium

  * New upstream version (1.0.8)
    - Adds new fwupdtool
    - License is now LGPL 2.1
    - Drops colorhug dependency (built in now)
    - refresh symbols

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 07 Jun 2018 08:16:22 -0500

fwupd (1.0.7-1) unstable; urgency=medium

  * New upstream version (1.0.7)
  * /debian changes:
    - ignore library-not-linked-against-libc
    - Remove unused override in debian/lintian/fwupd
    - rename tag for debian/source/lintian-overrides
    - Adjust to use https in debian/copyright
    - Bump debian/compat to 10
    - Update control version
    - update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 30 Apr 2018 13:11:17 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends:
+	bash-completion,
+	bubblewrap,
 	debhelper (>= 10.3),
 	dh-strip-nondeterminism,
 	fontconfig,
-	fonts-dejavu,
+	fonts-noto,
 	gcab,
 	gettext (>= 0.19.8.1),
 	gir1.2-pango-1.0,
+	gnu-efi [amd64 arm64 armhf i386],
 	gnutls-bin,
 	gnutls-dev,
 	gobject-introspection,
@@ -22,12 +25,10 @@
 	libarchive-dev,
 	libcairo-dev,
 	libcairo-gobject2,
-	libcolord-dev (>= 1.0.0),
-	libcolorhug-dev,
-	libefivar-dev [amd64 arm64 armhf armel i386],
+	libefiboot-dev [amd64 arm64 armhf i386],
+	libefivar-dev [amd64 arm64 armhf i386],
 	libelf-dev,
 	libfreetype6-dev,
-	libfwup-dev (>= 10-3) [amd64 arm64 armhf i386],
 	libgcab-dev,
 	libgirepository1.0-dev,
 	libglib2.0-dev (>= 2.45.8),
@@ -51,8 +52,8 @@
 	udev,
 	umockdev,
 	valac,
-	valgrind [!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-Standards-Version: 4.1.3
+	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
+Standards-Version: 4.1.4
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
@@ -78,8 +79,9 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: fwupdate,
-            python3
+Recommends: python3,
+	    bolt,
+	    fwupd-signed
 Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
 	libdfu1 (<< 0.9.7-1),
 	libdfu-dev (<< 0.9.7-1)
@@ -167,3 +169,31 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: fwupd-amd64-signed-template
+Architecture: amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-i386-signed-template
+Architecture: i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-armhf-signed-template
+Architecture: armhf
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-arm64-signed-template
+Architecture: arm64
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#GPGME needs this for proper building on 32 bit archs
ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

ifneq ($(CI),)
	export CI=--werror
endif

regenerate_control:
	OS=debian-x86_64 ./contrib/ci/generate_debian.py

SB_STYLE := debian
deb_version := $(shell dpkg-parsechangelog --show-field Version)
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	SB_STYLE := ubuntu
	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
else
	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
endif

%:
	[ -f debian/control ] || debian/rules regenerate_control
	dh $@ --with gir,systemd

override_dh_auto_clean: regenerate_control
	rm -fr debian/build
ifeq (ubuntu,$(SB_STYLE))
	rm -rf debian/fwupd-images
endif

override_dh_auto_configure:
	if pkg-config --exists libsmbios_c; then \
		export DELL="-Dplugin_dell=true"; \
	else \
		export DELL="-Dplugin_dell=false"; \
	fi; \
	if pkg-config --exists efivar; then \
		export UEFI="-Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true"; \
	else \
		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
	fi; \
	dh_auto_configure -- $$UEFI $$DELL $$CI -Dplugin_dummy=true --libexecdir=/usr/lib

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install the EFI binaries if needed
	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
		dh_install -pfwupd usr/lib/fwupd/efi ;\
		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
	fi
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so

ifeq (debian,$(SB_STYLE))
	# Generate the template source for the Debian signing service to use
	mkdir -p $(TMPLDIR)/source-template/debian
	cp -a debian/signing-template/* $(TMPLDIR)/source-template/debian
	cp debian/README.Debian $(TMPLDIR)/source-template/debian
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
	for file in $$(find $(TMPLDIR)/source-template/debian -type f -name *SIGNARCH*); do file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); mv -v $$file $$file1; done
	install -m 0755 debian/fwupd.postinst $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postinst
	install -m 0755 debian/fwupd.postrm $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postrm
	./debian/gen_signing_changelog $(TMPLDIR)/source-template/debian fwupd $(DEB_HOST_ARCH)
	./debian/gen_signing_json $(TMPLDIR) fwupd ${DEB_HOST_ARCH}
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

override_dh_auto_test:
	if [ -x /usr/bin/valgrind ] ; then \
		dh_auto_test; \
	fi

override_dh_builddeb:
	dh_builddeb -- -Zxz
ifeq (ubuntu,$(SB_STYLE))
	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
		mkdir -p debian/fwupd-images/$(deb_version) ;\
		cp debian/tmp/usr/lib/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version ;\
		tar -C debian/fwupd-images -czvf ../$(tar_name) . ;\
		dpkg-distaddfile $(tar_name) raw-uefi - ;\
	fi
endif

## fwupd 1.2.5

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 option('daemon', type : 'boolean', value : true, description : 'enable the fwupd daemon')
 option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
+option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
 option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
 option('gtkdoc', type : 'boolean', value : true, description : 'enable developer documentation')
 option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')

=== debian/changelog ===
fwupd (1.2.5-1~somerville1) bionic; urgency=medium

  * meson 0.45 backward compatibility patch from Mario.
  * remove tpm2-tools dependency and rebuild in bionic

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Thu, 13 Apr 2019 13:44:13 +0800

fwupd (1.2.5-1) unstable; urgency=medium

  * New upstream version (1.2.5)
  * Drop all patches, upstream

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 26 Feb 2019 16:30:52 -0600

fwupd (1.2.4-3) unstable; urgency=medium

  * Backport a patch from master that fixes FTBFS with newer glib

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 15 Feb 2019 08:06:55 -0600

fwupd (1.2.4-2) unstable; urgency=medium

  * debian: explicitly depend on shared-mime-info

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 14 Feb 2019 21:21:46 -0600

fwupd (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * refresh build dependencies
  * Recommends on tpm2 stack to read PCR values

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 06 Feb 2019 20:31:24 -0600

fwupd (1.1.4-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 07 Nov 2018 11:30:14 -0600

fwupd (1.1.3-2) unstable; urgency=medium

  * Move location of fwupd-SIGNARCH-signed.install to proper directory
    to fix generation of signed packages.

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 13 Oct 2018 14:17:07 -0500

fwupd (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 12 Oct 2018 13:18:46 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
 	bash-completion,
 	bubblewrap,
-	debhelper (>= 10.3),
+	debhelper (>= 11),
 	dh-strip-nondeterminism,
 	fontconfig,
 	fonts-noto,
@@ -21,7 +21,6 @@
 	gobject-introspection,
 	gtk-doc-tools,
 	help2man,
-	libappstream-glib-dev (>= 0.7.4),
 	libarchive-dev,
 	libcairo-dev,
 	libcairo-gobject2,
@@ -41,6 +40,7 @@
 	libsoup2.4-dev,
 	libsqlite3-dev,
 	libtool-bin,
+	libxmlb-dev (>= 0.1.5),
 	locales,
 	meson,
 	pkg-config,
@@ -48,12 +48,13 @@
 	python3-gi-cairo,
 	python3-pil,
 	python3-requests,
+	shared-mime-info,
 	systemd (>= 231),
 	udev,
 	umockdev,
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
@@ -69,8 +70,7 @@
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
+ Firmware updates are supported for a variety of technologies.
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the library used by the daemon.
@@ -78,7 +78,8 @@
 Package: fwupd
 Architecture: linux-any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         shared-mime-info
 Recommends: python3,
 	    bolt,
 	    fwupd-signed
@@ -93,8 +94,7 @@
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
+ Firmware updates are supported for a variety of technologies.
  See <https://github.com/hughsie/fwupd> for details
 
 Package: fwupd-tests
@@ -116,8 +116,7 @@
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
+ Firmware updates are supported for a variety of technologies.
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides a set of installed tests that can be run to validate
@@ -132,8 +131,7 @@
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
+ Firmware updates are supported for a variety of technologies.
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides development documentation for creating a package that
@@ -152,8 +150,7 @@
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
+ Firmware updates are supported for a variety of technologies.
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libfwupd

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 export LC_ALL := C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 
 #GPGME needs this for proper building on 32 bit archs
 ifeq "$(DEB_HOST_ARCH_BITS)" "32"
@@ -27,7 +28,7 @@
 
 %:
 	[ -f debian/control ] || debian/rules regenerate_control
-	dh $@ --with gir,systemd
+	dh $@ --with gir
 
 override_dh_auto_clean: regenerate_control
 	rm -fr debian/build
@@ -57,10 +58,15 @@
 		dh_install -pfwupd usr/lib/fwupd/efi ;\
 		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
 	fi
+	#if build with meson subproject in CI need to install this too
+	if [ -n "$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
+		dh_install -pfwupd usr/lib/xb-tool ;\
+	fi
 	dh_missing -a --fail-missing
 
 	#this is placed in fwupd-tests
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
+	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
 ifeq (debian,$(SB_STYLE))
 	# Generate the template source for the Debian signing service to use
@@ -85,7 +91,7 @@
 	fi
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz
+	dh_builddeb
 ifeq (ubuntu,$(SB_STYLE))
 	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
 		mkdir -p debian/fwupd-images/$(deb_version) ;\
@@ -95,3 +101,6 @@
 		dpkg-distaddfile $(tar_name) raw-uefi - ;\
 	fi
 endif
+
+override_dh_shlibdeps:
+	dh_shlibdeps $$DHSLIBS

## fwupd 1.2.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 option('daemon', type : 'boolean', value : true, description : 'enable the fwupd daemon')
+option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
 option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
 option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
 option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
@@ -16,8 +17,10 @@
 option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
 option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
 option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
+option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
 option('systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
+option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
 option('tests', type : 'boolean', value : true, description : 'enable tests')
 option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
 option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')

=== debian/changelog ===
fwupd (1.2.6-1) unstable; urgency=medium

  * New upstream version (1.2.6)
  * debian/control:
    - Add new build depends related to Modem Manager

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 01 Apr 2019 21:18:14 -0500

fwupd (1.2.5-2) unstable; urgency=medium

  * debian/gen_signing_json: Update the format of the json metadata to
    match new requirements:
    + Move all the data under a new top-level "packages" key
    + Add an empty "trusted_certs" key - our binaries do not do any
      further verification with an embedded key.

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 Mar 2019 00:32:07 +0000

## fwupd 1.2.10

=== meson_options.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
 option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
 option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
+option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
 option('systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
@@ -28,3 +29,4 @@
 option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
 option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
 option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
+option('efi_os_dir', type: 'string', description : 'the name of OS directory in ESP')

=== debian/changelog ===
fwupd (1.2.10-1ubuntu2~ubuntu18.04.5) bionic-security; urgency=medium

  * SECURITY UPDATE: Signature verification bypass
    - debian/patches/CVE-2020-10759.patch: validate that
      gpgme_op_verify_result() returned at least one signature in
      src/fu-keyring-gpg.c.
    - CVE-2020-10759

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 09 Jun 2020 10:54:51 -0300

fwupd (1.2.10-1ubuntu2~ubuntu18.04.3) bionic; urgency=medium

  * d/p/0001-dont-semver-conversion.patch, d/p/0001-version-handling.patch
    d/p/0001-plain_support_in_version.patch:
    backport regression fix that we can install firmware with the same
    without --allow-reinstall in command line. the patch already merged
    in upstream 1.2.X branch. (LP: #1820768)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Thu, 09 Jan 2020 16:25:38 +0800

fwupd (1.2.10-1ubuntu2~ubuntu18.04.2) bionic; urgency=medium

  * d/p/0001-trivial-libfwupd-skip-tests-if-machine-id-is-empty-t.patch:
    - Only check the vendor ID if the device has one set  (LP: #1856896)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Dec 2019 13:13:48 +1300

fwupd (1.2.10-1ubuntu2~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic (LP: #1820768)
    - meson-0.45-bc.patch: Fix build with meson 0.45

  [ Steve Langasek ]
  * Drop added Recommends: on bolt which is not in flavor seeds and adds a
    new service.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Fri, 25 Oct 2019 16:38:06 +0800

fwupd (1.2.10-1ubuntu2) eoan; urgency=medium

  * Backport a patch from upstream to relax expired cert checks
    in self tests to fix FTBFS (LP: #184375)
  * Add a patch to skip some self tests if /etc/machine-id exists
    but is empty (LP: #184375)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 24 Sep 2019 09:24:22 -0500

fwupd (1.2.10-1ubuntu1) eoan; urgency=medium

  * Merge with debian unstable.
    - Remainining changes: downgrade tpm2-tools/tpm2-abrmd to Suggests.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jul 2019 14:13:33 -0500

fwupd (1.2.10-1) unstable; urgency=medium

  * New upstream version (1.2.10)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jul 2019 13:58:47 -0500

fwupd (1.2.9-1ubuntu1) eoan; urgency=medium

  * Merge with debian unstable.
    - Remainining changes: downgrade tpm2-tools/tpm2-abrmd to Suggests.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 12 Jul 2019 16:07:38 -0500

fwupd (1.2.9-1) unstable; urgency=medium

  * New upstream version (1.2.9)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 12 Jul 2019 14:25:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: fwupd
 Priority: optional
-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Daniel Jared Dominguez <jared.dominguez@dell.com>,
            Matthias Klumpp <mak@debian.org>,
@@ -35,7 +36,9 @@
 	libgudev-1.0-dev,
 	libgusb-dev (>= 0.2.9),
 	libjson-glib-dev (>= 1.1.1),
+	libmm-glib-dev,
 	libpolkit-gobject-1-dev,
+	libqmi-glib-dev,
 	libsmbios-dev [i386 amd64],
 	libsoup2.4-dev,
 	libsqlite3-dev,
@@ -81,8 +84,10 @@
          ${shlibs:Depends},
          shared-mime-info
 Recommends: python3,
-	    bolt,
 	    fwupd-signed
+Suggests: bolt,
+	  tpm2-tools,
+	  tpm2-abrmd,
 Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
 	libdfu1 (<< 0.9.7-1),
 	libdfu-dev (<< 0.9.7-1)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 ifneq ($(CI),)
-	export CI=--werror
+	export CI=--werror --wrap-mode=default
 endif
 
 regenerate_control:
@@ -47,7 +47,12 @@
 	else \
 		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
 	fi; \
-	dh_auto_configure -- $$UEFI $$DELL $$CI -Dplugin_dummy=true --libexecdir=/usr/lib
+	if [ ! -z "$$CI" ]; then \
+		export FLASHROM="-Dplugin_flashrom=true"; \
+	else \
+		export FLASHROM="-Dplugin_flashrom=false"; \
+	fi; \
+	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true --libexecdir=/usr/lib
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
@@ -59,8 +64,11 @@
 		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
 	fi
 	#if build with meson subproject in CI need to install this too
-	if [ -n "$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
+	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
 		dh_install -pfwupd usr/lib/xb-tool ;\
+	fi
+	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
+		dh_install -pfwupd usr/sbin/flashrom ;\
 	fi
 	dh_missing -a --fail-missing

## fwupd 1.2.13

=== debian/changelog ===
fwupd (1.2.13-3+deb10u2) buster; urgency=medium

  * Turn off flashrom configuration added by mistake in the previous
    upload.

 -- Steve McIntyre <93sam@debian.org>  Fri, 19 Mar 2021 18:24:30 +0000

fwupd (1.2.13-3+deb10u1) buster; urgency=medium

  * Backport support for SBAT from 1_2_X

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 10 Mar 2021 21:50:03 -0600

fwupd (1.2.13-2) buster; urgency=medium

  * No-change upload to pick up rotated Debian signing keys

 -- Steve McIntyre <93sam@debian.org>  Thu, 23 Jul 2020 22:18:46 +0100

fwupd (1.2.13-1) stable; urgency=medium

  * Update to 1.2.13 stable release.
    - Fixes issues on stable release (Closes: #961490)
    - Fixes vendor id hard requirement (Closes: #946623)
    - Fixes CVE-2020-10759 (Closes: #962517)
  * Add patch to revert new libxmlb requirement to allow working with libxmlb
      available in Buster.
  * debian/* changes backported from testing:
    - Refresh symbols
    - Install fwupdoffline binary
    - Install fwupd shutdown systemd unit
    - Refresh dependencies for modem manager plugin
    - Update copyright for new new contributors
    - Update watch file for correct upstream URL.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 07 Jul 2020 23:13:40 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,10 @@
 	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
 endif
 
+CONFARGS =
+
 ifneq ($(CI),)
-	export CI=--werror --wrap-mode=default
+	CONFARGS += --wrap-mode=default
 endif
 
 regenerate_control:
@@ -22,9 +24,35 @@
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
+	CONFARGS += -Dplugin_flashrom=false
+	CONFARGS += -Defi_sbat_distro_id=ubuntu
+	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
+	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
+	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
+	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
+	CONFARGS += -Dplugin_flashrom=false
+	CONFARGS += -Defi_sbat_distro_id=debian
+	CONFARGS += -Defi_sbat_distro_summary=Debian
+	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
+	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
+	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
 endif
+
+ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
+	CONFARGS += -Dplugin_dell=true
+else
+	CONFARGS += -Dplugin_dell=false
+endif
+
+ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
+	CONFARGS += -Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true
+else
+	CONFARGS += -Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false
+endif
+
+CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
 
 %:
 	[ -f debian/control ] || debian/rules regenerate_control
@@ -37,22 +65,7 @@
 endif
 
 override_dh_auto_configure:
-	if pkg-config --exists libsmbios_c; then \
-		export DELL="-Dplugin_dell=true"; \
-	else \
-		export DELL="-Dplugin_dell=false"; \
-	fi; \
-	if pkg-config --exists efivar; then \
-		export UEFI="-Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true"; \
-	else \
-		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
-	fi; \
-	if [ ! -z "$$CI" ]; then \
-		export FLASHROM="-Dplugin_flashrom=true"; \
-	else \
-		export FLASHROM="-Dplugin_flashrom=false"; \
-	fi; \
-	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true --libexecdir=/usr/lib
+	dh_auto_configure -- $(CONFARGS)
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
@@ -64,11 +77,8 @@
 		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
 	fi
 	#if build with meson subproject in CI need to install this too
-	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
+	if [ -n "$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
 		dh_install -pfwupd usr/lib/xb-tool ;\
-	fi
-	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
-		dh_install -pfwupd usr/sbin/flashrom ;\
 	fi
 	dh_missing -a --fail-missing
